summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/memtest86/README5
-rw-r--r--system/memtest86/README.SLACKWARE22
-rw-r--r--system/memtest86/memtest86.SlackBuild63
-rw-r--r--system/memtest86/memtest86.info10
-rw-r--r--system/memtest86/slack-desc19
5 files changed, 119 insertions, 0 deletions
diff --git a/system/memtest86/README b/system/memtest86/README
new file mode 100644
index 0000000000..1fee49c052
--- /dev/null
+++ b/system/memtest86/README
@@ -0,0 +1,5 @@
+Memtest86 is a thorough, stand-alone memory test for x86 architecture
+computers. BIOS based memory tests are a quick, cursory check and often
+miss many of the failures that are detected by Memtest86.
+
+See README.SLACKWARE for setup information.
diff --git a/system/memtest86/README.SLACKWARE b/system/memtest86/README.SLACKWARE
new file mode 100644
index 0000000000..87058092ff
--- /dev/null
+++ b/system/memtest86/README.SLACKWARE
@@ -0,0 +1,22 @@
+README.SLACKWARE for memtest86
+
+The memtest86 package installs a bootable image to /boot/memtest.bin
+which is similar to the kernel images in the same directory.
+
+
+LILO users: Append this to your /etc/lilo.conf:
+
+ image = /boot/memtest.bin
+ label = memtest86
+
+Then run /sbin/lilo to update the boot loader.
+Don't forget to re-run /sbin/lilo if you upgrade this package.
+
+
+GRUB users: Add something like this to your /boot/grub/menu.lst:
+
+ title Memtest86
+ kernel (hd0,0)/memtest.bin
+
+
+See /usr/doc/memtest-$VERSION/README for more info.
diff --git a/system/memtest86/memtest86.SlackBuild b/system/memtest86/memtest86.SlackBuild
new file mode 100644
index 0000000000..212bba6a4d
--- /dev/null
+++ b/system/memtest86/memtest86.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for memtest86
+
+# Copyright 2012 Kyle Guinn <elyk03@gmail.com>, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=memtest86
+VERSION=${VERSION:-4.0a}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# i486 only. Modify the Makefile at your own risk :-)
+ARCH=i486
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="README*"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-st .
+
+make
+install -D -m644 memtest.bin $PKG/boot/memtest.bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/memtest86/memtest86.info b/system/memtest86/memtest86.info
new file mode 100644
index 0000000000..da12bd016d
--- /dev/null
+++ b/system/memtest86/memtest86.info
@@ -0,0 +1,10 @@
+PRGNAM="memtest86"
+VERSION="4.0a"
+HOMEPAGE="http://www.memtest86.com/"
+DOWNLOAD="http://www.memtest86.com/memtest86-4.0a.tar.gz"
+MD5SUM="f897e037cced14dbec520c7cefb06300"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Kyle Guinn"
+EMAIL="elyk03@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/system/memtest86/slack-desc b/system/memtest86/slack-desc
new file mode 100644
index 0000000000..dacbf182ed
--- /dev/null
+++ b/system/memtest86/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+memtest86: Memtest86 (comprehensive, stand-alone memory diagnostic)
+memtest86:
+memtest86: Memtest86 is a thorough, stand-alone memory test for x86 architecture
+memtest86: computers. BIOS based memory tests are a quick, cursory check and
+memtest86: often miss many of the failures that are detected by Memtest86.
+memtest86:
+memtest86:
+memtest86:
+memtest86:
+memtest86:
+memtest86: